<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: registr.php
-------------------------------------------
*/
//-----Создаем титл страницы-----//
$title = 'Регистрация';
//-----Подключаем функции-----//
require_once ('system/function.php');
//-----Подключаем вверх-----//
require_once ('system/header.php');
//-----Переадресация для авторизированых-----//
if($user['id']){
header('Location: /');
exit();
}

echo '<div class="menu"><img src="'.$HOME.'/design/gradient/lol.png" alt="*" /><div class="divmenu">Регистрация:</div></div>';


//-----Если жмут submit(кнопку)-----//
if(isset($_REQUEST['reg'])) {

$login = strong($_POST['login']);

if(empty($login)) {
echo '<div class="podmenu"><center><b>Вы не ввели логин!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//-----Проверка на символы-----//
if (!preg_match('|^[a-z0-9\-]+$|i', $login)) {
echo '<div class="podmenu"><center><b>Кириллица запрещена в логине!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//-----Проверяем длину ввода-----//
if(mb_strlen($login) > 20 or mb_strlen($login) < 3) {
echo '<div class="podmenu"><center><b>Введите логин от 3 до 20 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//-----Проверка на занятость логина-----//
$sql = mysql_query("SELECT COUNT(`id`) FROM `users` WHERE `login` = '".$login."'");
if(mysql_result($sql, 0) > 0) {
echo '<div class="podmenu"<center><b>Такой логин уже существует!</b></center></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
exit();
}

$pass = strong($_POST['pass']);

//-----Проверка на ввод логина-----//
if(empty($pass)) {
echo '<div class="podmenu"><center><b>Вы не ввели свой пароль!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//-----Проверка на символы-----//
if (!preg_match('|^[a-z0-9\-]+$|i', $pass)) {
echo '<div class="podmenu"><center><b>Кириллица запрещена в пароле!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//-----Проверяем длину ввода-----//
if(mb_strlen($pass) > 25 or mb_strlen($pass) < 5) {
echo '<div class="podmenu"><center><b>Введите пароль от 5 до 25 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$r_pass = strong($_POST['r_pass']);

if($pass != $r_pass) {
echo '<div class="podmenu"><center><b>Пароли не одинаковые!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$name = strong($_POST['name']);

if(empty($name)) {
echo '<div class="podmenu"><center><b>Вы не ввели своё имя!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//-----Проверяем длину ввода-----//
if(mb_strlen($name) > 30 or mb_strlen($name) < 3) {
echo '<div class="podmenu"><center><b>Введите своё имя от 3 до 30 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//-----Фильтрируем перемменые-----//
$sex = strong($_POST['sex']);
$email = strong($_POST['email']);

//-----Проверяем правильность ввода e-mail-----//
if(!preg_match('/[0-9a-z_\-]+@[0-9a-z_\-^\.]+\.[a-z]{2,6}/i', $email)) {
echo '<div class="podmenu"><center><b>Формат e-mail введён не верно!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//-----Проверяем e-mail на занятость-----//
$sqlemail = mysql_query("SELECT COUNT(`id`) FROM `users` WHERE `email` = '".$email."'");
if (mysql_result($sqlemail, 0) > 0) {
echo '<div class="podmenu"><center><b>Такой e-mail уже существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//-----Если всё нормально-----//
mysql_query("INSERT INTO `users` SET `login` = '".$login."', `pass` = '".md5(md5(md5($pass)))."', `name` = '".$name."', `sex` = '".$sex."', `email` = '".$email."', `datareg` = '".time()."', `level` = '0', `max` = '10'");
//-----Вычесляем id-----//
$uid = mysql_insert_id();
//-----Если id 1 то ставим level 3-----//
if($uid == 1){
mysql_query("UPDATE `users` SET `level` = '3' WHERE `id` = '1'");
}

echo '<div class="podmenu"><b>Вы успешно зарегистрировались!</b></div>
<div class="podmenu">Ваш автологин:<br /><textarea>'.$HOME.'/autolog.php?ulog='.$login.'&amp;upas='.$pass.'</textarea><br /></div>
<div class="podmenu"><a href="'.$HOME.'/autolog.php?ulog='.$login.'&amp;upas='.$pass.'"><b>Перейти на сайт</b></a></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
exit();
}

//-----Форма ввода-----//
echo '<div class="podmenu">Перед регистрацией ,советуем Вам ,прочитать <a href="'.$HOME.'/rulles.php">правила тут</a></div><div class="podmenu">
<form method="POST" action="">
*Ваш логин:<br /><input type="text" name="login" maxlength="20" /><br />
*Ваш пароль:<br /><input type="password" name="pass" maxlength="25" /><br />
*Ещё раз:<br /><input type="password" name="r_pass" maxlength="25" /><br />
*Ваше имя:<br /><input type="text" name="name" maxlength="30" /><br />
*Ваш пол:<br /><select name="sex"><option value="1">Мужской</option><option value="2">Женский</option></select><br/>
*Ваш e-mail:<br /><input type="text" name="email" maxlength="40" /><br />
<input type="submit" name="reg" value="Регистрировать" />
</form></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
?>